
Smart Proxy - Bug #24028

 character conversion error when calling '/logs' on foreman-proxy

06/21/2018 01:20 PM - Ivan Necas

Status: Duplicate   

Priority: Normal   

Assignee: Ivan Necas   

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link: 1588190 Red Hat JIRA:  

Pull request:    

Description

1. enable http port on proxy (gets enabled when using the templates plugin) - in /etc/foreman-proxy/settings.yml uncomment

`:http_port: 8000` and restart foreman-proxy

2. curl -k --cert /etc/foreman-proxy/foreman_ssl_cert.pem --key /etc/foreman-proxy/foreman_ssl_key.pem https://localhost:8000 -

note using https with http port

3. go to the capsule details in UI and in the logs tab

This produces ASCII-8BIT to UTF-8 errors in /var/log/foreman-proxy/proxy.log.

E, [2018-06-06T16:22:17.884203 ] ERROR -- : "\xFC" from ASCII-8BIT to UTF-8

I, [2018-06-06T16:22:17.884587 ] INFO -- : 10.0.0.1 - - [06/Jun/2018:16:22:17 -0500] "GET /logs/?from_timestamp=0 HTTP/1.1" 400

31 0.0341

Related issues:

Is duplicate of Smart Proxy - Bug #24364: Logs module unable to return non-AS... Closed

History

#1 - 09/14/2018 12:21 PM - Ivan Necas

- Status changed from Assigned to Duplicate

#2 - 09/14/2018 12:21 PM - Ivan Necas

- Is duplicate of Bug #24364: Logs module unable to return non-ASCII characters added
